Skip to main content

Even Pair Sum December Long challenge problem solution

 Problem Statement-

This problem Even Pair sum is taken from December long challenge 2020. let's read the problem statement.

You are given two positive integers A and B. Find the number of pairs of positive integers (X,Y) such that 1XA1YB and X+Y is even.

Input

  • The first line of the input contains a single integer T denoting the number of test cases. The description of T test cases follows.
  • The first and only line of each test case contains two space-separated integers A and B.

Output

For each test case, print a single line containing one integer ― the number of valid pairs.

Constraints

  • 1T1,000
  • 1A,B109

Subtasks

Subtask #1 (10 points): A,B10

Subtask #2 (10 points): A,B1,000

Subtask #3 (80 points): original constraints

Example Input

4
1 1
2 3
4 6
8 9

Example Output

1
3
12
36

Solution-

Hint- There is Very big role of even odd in this problem.
In this problem we have to calculate even and odd numbers till A and B.
because odd+odd=even
even +even =even
Here is my solution 

Join Telegram Channel for solution. 

Comments

Post a Comment

Popular posts from this blog

codeforces rating system | Codeforces rating Newbie to Legendary Grandmaster

 Codeforces rating system | Codeforces rating Newbie to Legendary Grandmaster- Codeforces is one of the most popular platforms for competitive programmers and  codeforces rating matters a lot  .  Competitive Programming  teaches you to find the easiest solution in the quickest possible way. CP enhances your problem-solving and debugging skills giving you real-time fun. It's brain-sport. As you start solving harder and harder problems in live-contests your analytical and rational thinking intensifies. To have a good codeforces profile makes a good impression on the interviewer. If you have a good  codeforces profile so it is very easy to get a referral for product base company like amazon, google , facebook etc.So in this blog I have explained everything about codeforces rating system. What are different titles on codeforces- based on rating codeforces divide rating into 10 part. Newbie Pupil Specialist Expert Candidate Codemaster Master International Master Grandmaster Internat

Apple Division CSES Problem Set Solution | CSES Problem Set Solution Apple division with code

 Apple Division CSES Problem Set Solution | CSES Problem Set Solution Apple division with code - Apple Division CSES Problem Solution Easy Explanation. Apple division is problem is taken form cses introductory problem set.Let's Read Problem statement first. Problem Statement- Time limit:  1.00 s   Memory limit:  512 MB There are  n n  apples with known weights. Your task is to divide the apples into two groups so that the difference between the weights of the groups is minimal. Input The first input line has an integer  n n : the number of apples. The next line has  n n  integers  p 1 , p 2 , … , p n p 1 , p 2 , … , p n : the weight of each apple. Output Print one integer: the minimum difference between the weights of the groups. Constraints 1 ≤ n ≤ 20 1 ≤ n ≤ 20 1 ≤ p i ≤ 10 9 1 ≤ p i ≤ 10 9 Example Input: 5 3 2 7 4 1 Output: 1 Explanation: Group 1 has weights 2, 3 and 4 (total weight 9), and group 2 has weights 1 and 7 (total weight 8). Join Telegram channel for code discussi

Playlist CSES Problems set solution | searching ans sorting with code and explanation

 Playlist CSES Problems set solution- Playlist problem statement- Time limit:  1.00 s   Memory limit:  512 MB You are given a playlist of a radio station since its establishment. The playlist has a total of  n n  songs. What is the longest sequence of successive songs where each song is unique? Input The first input line contains an integer  n n : the number of songs. The next line has  n n  integers  k 1 , k 2 , … , k n k 1 , k 2 , … , k n : the id number of each song. Output Print the length of the longest sequence of unique songs. Constraints 1 ≤ n ≤ 2 ⋅ 10 5 1 ≤ n ≤ 2 ⋅ 10 5 1 ≤ k i ≤ 10 9 1 ≤ k i ≤ 10 9 Example Input: 8 1 2 1 3 2 7 4 2 Output:5 Playlist CSE S Problems set solution- Step -1 store value in hashmap so that we can check that song played before or not. step -2 make two-pointer i and j if v[i] has occurred earlier remove all element till v[i] and update ans.new length will be (i-j). Step 3- if v[i]  not occurred simply update ans by one.